Skip to content

Mark Ready Target

POST
/api/integrations/targets/{composite_key}/mark-ready
curl --request POST \
--url https://app.lionrapid.com/api/integrations/targets/example/mark-ready

PM/admin gates a row for delivery. Edge proxy will start serving it.

No stage gate — PM can mark ready at any stage (matches the user’s spec).

composite_key
required
Composite Key
string
surface
Any of:
string
x-api-key
Any of:
string
x-lr-surface
Any of:
string

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}